SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000706SiT!reportspublic2009-05-23 23:092011-03-19 15:14
Reporterkieran 
Assigned Topaulh 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000706: Use pChart for charts/reports
DescriptionAs per Paul's email on the mailing list, pChart (http://pchart.sourceforge.net/ [^]) looks a good alternative to what we're currently using.
TagsNo tags attached.
Attached Files? file icon chart_pchart.class.php [^] (2,268 bytes) 2011-03-12 18:51

- Relationships
parent of 0000756closedpaulh Pie-Chart Legend visual bug 

-  Notes
User avatar (0002865)
ivan (administrator)
2010-03-25 11:56

pChart is GPL version 1,2,3, or (at your option) any later version. All releases so far seem to have been labelled beta and the latest version 1.27 was released in december 2008.
User avatar (0002873)
ivan (administrator)
2010-03-25 22:31

Not confirming this yet Paul btw :) Want to be sure first.
User avatar (0003651)
paulh (administrator)
2011-02-27 19:53

we can't use pChart2 any more as its GPLv3 only which is not compatible with our GPLv2
User avatar (0003682)
paulh (administrator)
2011-03-12 18:50

merged the chart abstraction into my main branch (and into sit) shortly, at the moment all we have is our old charting library though a level of abstraction has been created to make it easy to add new libraries.

Will attach my pchart2 class though we sadly can't use pchart2 due to licensing differences, need to find compatible charting library
User avatar (0003687)
paulh (administrator)
2011-03-19 15:14

530126b makes the chart library configurable and a pchart2 charting plugin has been created

- Issue History
Date Modified Username Field Change
2009-05-23 23:09 kieran New Issue
2009-08-21 12:18 kieran Target Version 3.60 => 4.00
2009-08-21 12:19 kieran Status new => acknowledged
2010-03-25 11:56 ivan Note Added: 0002865
2010-03-25 21:37 paulh Status acknowledged => assigned
2010-03-25 21:37 paulh Assigned To => paulh
2010-03-25 21:37 paulh Relationship added related to 0000756
2010-03-25 21:38 paulh Relationship added parent of 0000756
2010-03-25 21:38 paulh Relationship deleted related to 0000756
2010-03-25 22:31 ivan Note Added: 0002873
2010-03-26 10:38 ivan Target Version 4.00 => 4.2 & Later
2010-03-26 10:38 ivan Target Version 4.2 & Later => 4.0
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-02-27 19:53 paulh Note Added: 0003651
2011-03-12 18:50 paulh Note Added: 0003682
2011-03-12 18:51 paulh File Added: chart_pchart.class.php
2011-03-19 15:14 paulh Note Added: 0003687
2011-03-19 15:14 paulh Status assigned => resolved
2011-03-19 15:14 paulh Resolution open => fixed
2011-03-19 15:14 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker